{% include 'header.html' %}
{% load static %}
<div class="section-container">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">
        <img src="{% static 'discount/images/work001-01.jpg' %}" class="img-responsive" alt="">
        <div class="card-container">
          <div class="text-center">
            <h1 class="h2">SuperMarket Discount</h1>
          </div>
          <p>We spend a lot of time on earning money, but do you know we even waste a lot if we don't know any discount? Let's see what we can do here:D</p>

          <blockquote>
            <p>"More efficient way to use your money!"</p>
            <small class="pull-right">YYL</small>
          </blockquote>
          <form action="" method="Post">
            {% csrf_token %}
              <input type="submit" value="search" style="float:right; margin-left: 5px">
              <input name="product" placeholder="Name of an item" style="float:right">
          </form>
          <table class="table">
            <thead>
                <tr>
                    <th>Select</th>
                    <th>SuperMarket</th>
                    <th>Product</th>
                    <th>Images</th>
                    <th>Discount</th>
                    <th>New Price</th>
                    <th>Old Price</th>
                    {% if request.user.is_authenticated %}
                    <th>Card</th>
                    <th>Cash Back</th>
                    {% endif %}
                </tr>
            </thead>
            <tbody>
            {% if items %}
                {% if request.user.is_authenticated %}
                    {% for text in items%}
                    <tr>
                        <td><input name="select" type=checkbox value="select"></td>
                        {% for super in super_name %}
                            {% if text.supermarket_id == super.id %}
                        <td>{{ super.name}}</td>
                            {% endif %}
                        {% endfor %}
                        <td>{{ text.name}}</td>
                        <td><img src="{% static 'discount/images/img.jpg' %}" style="width:32px"  alt=""/></td>
                        <td>{{ text.discount }}</td>
                        <td>{{ text.new_price }}</td>
                        <td>{{ text.old_price }}</td>
                        {% for card in card_name %}
                            {% if text.card_id == card.id %}
                        <td>{{ card.name }}</td>
                            {% endif %}
                        {% endfor %}
                        {% for ed in extra_dis %}
                            {% if text.extra_discount_id == ed.id %}
                        <td>{{ ed.discount}}</td>
                            {% endif %}
                        {% endfor %}
                    </tr>
                    {% endfor %}
                {% else %}
            <!-- |slice:":10" -> if not a member, only shows 16 items-->
                    {% for text in items|slice:":10" %}
                    <tr>
                        <td><input name="select" type=checkbox value="select"></td>
                        {% for super in super_name %}
                            {% if text.supermarket_id == super.id %}
                        <td>{{ super.name}}</td>
                            {% endif %}
                        {% endfor %}
                        <td>{{text.name}}</td>
                        <td><img src="{% static 'discount/images/img.jpg' %}" style="width:32px"  alt=""/></td>
                        <td>{{ text.discount }}</td>
                        <td>{{ text.new_price }}</td>
                        <td>{{ text.old_price }}</td>
                    </tr>
                    {% endfor %}
            </tbody>
                    <a href="/accounts/login/" title="" ><button>more products</button></a>
                {% endif %}
            {% endif %}
          </table>
        <br>
        </div>
      </div>

      <div class="col-md-8 col-md-offset-2 section-container-spacer">
        <div class="row">
          <div class="col-xs-12 col-md-6">
            <img src="{% static 'discount/images/work001-02.jpg' %}" class="img-responsive" alt="">
            <p>Menphis skyline</p>
          </div>
          <div class="col-xs-12 col-md-6">
            <img src="{% static 'discount/images/work001-03.jpg' %}" class="img-responsive" alt="">
            <p>Menphis skyline</p>
          </div>
        </div>
      </div>

      <div class="col-xs-12">
        <img src="{% static 'discount/images/work001-04.jpg' %}" class="img-responsive" alt="">
      </div>

    </div>
  </div>
</div>

{% include 'footer.html' %}

    <script>
      document.addEventListener("DOMContentLoaded", function (event) {
         navActivePage();
      });
    </script>
    <script type="text/javascript" src="{% static 'discount/main.70a66962.js' %}"></script>
</body>

</html>

